;-------------------------------------------------------------------------------
;This thread of MeView application is a window that shows some information
;about opened file.
;Any keypress closes this thread
;
;Last changed: October 28, 2008
;-------------------------------------------------------------------------------
thread2:			  ; start of info thread

draw_window2:

;   *********************************************
;   *******  WINDOW DEFINITIONS AND DRAW ********
;   *********************************************
    call BeginDraw
				   ;DRAW WINDOW
    xor  eax,eax		   ;function 0 : define and draw window
    mov  ebx,100*65536+330	   ;[x start] *65536 + [x size]
    mov  ecx,100*65536+90	   ;[y start] *65536 + [y size]
    mov  edx,[system_colors+20]    ;color of work area RRGGBB
    or   edx,0x14000000 	   ;window_style 4
    mov  edi,labelt2
    int  0x40

    mov  al,4			   ;function 4 : write text to window
    mov  ebx,10*65536+30
    mov  ecx,[system_colors+32]    ;text in the workarea
    or   ecx,0x90000000 	   ;ASCIIZ string, font 1 & color 0xF0RRGGBB

    mov  ebp,[IMG_INFO_FileSize]
    test ebp,ebp
    jnz  @f
    mov  edx,nofile_info_text
    int  0x40
    jmp  no_info
@@:
    mov  ebx,10*65536+30
    mov  edx,string
    int  0x40
    mov  dx,fitext
    add  ebx,70*65536+10
    int  0x40
    add  ebx,10
    mov  dx,fitext1
    int  0x40
    add  ebx,10
    mov  dx,fitext2
    int  0x40
    add  ebx,10
    mov  dx,fitext3
    int  0x40
    mov  al,47
    mov  edx,200*65536+40
    mov  esi,ecx
    mov  ecx,[IMG_INFO_FileSize]
    call digitcorrect
    int  0x40
    add  edx,10
    xor  ecx,ecx
    mov  cx,[IMG_INFO_Width]
    call digitcorrect
    int  0x40
    add  edx,10
    mov  cx,[IMG_INFO_Height]
    call digitcorrect
    int  0x40
    add  edx,10
    mov  cx,[IMG_INFO_BitsPerPointReal]
    call digitcorrect
    int  0x40
no_info:
    call EndDraw

still2:

    mov  eax,10			; wait here for event
    int  0x40

    dec  eax			; redraw request ?
    jz	 thread2
    dec  eax			; key in buffer ?
    jz	 close2
    dec  eax			; button in buffer ?
    jz	 button2

    jmp  still2

button2:			; button
    mov  al,17			; get id
    int  0x40

    dec  ah			; button id=1 ?
    jnz  still2
close2:
    and  byte[status],not info_window_opened
    or	 byte[status],make_mainwin_active
    or	 eax,-1 		; close this program
    int  0x40

digitcorrect:
    mov  ebx,10
    cmp  ecx,999999999
    ja	 c_end
    dec  ebx
    cmp  ecx,99999999
    ja	 c_end
    dec  ebx
    cmp  ecx,9999999
    ja	 c_end
    dec  ebx
    cmp  ecx,999999
    ja	 c_end
    dec  ebx
    cmp  ecx,99999
    ja	 c_end
    dec  ebx
    cmp  ecx,9999
    ja	 c_end
    dec  ebx
    cmp  ecx,999
    ja	 c_end
    dec  ebx
    cmp  ecx,99
    ja	 c_end
    dec  ebx
    cmp  ecx,9
    ja	 c_end
    dec  ebx
c_end:
    shl  ebx,16
    ret


; DATA AREA
lsz nofile_info_text,\
    en,  'No file loaded. Press any key to continue...',\
    ru,  '  㦥.   ...',\
    de,  'Datei ist nicht geoffnet. Drcken Sie jeder Taste.'

lsz labelt2,\
    en,  'File info',\
    ru,  'ଠ',\
    de,  'Dateiinfo'

lsz fitext,\
     en, 'FILE SIZE',\
     ru, ' 䠩',\
     de, 'FATEIGROESSE'

lsz fitext1,\
     en, 'X SIZE',\
     ru, 'ਭ',\
     de, 'X GROESSE'

lsz fitext2,\
     en, 'Y SIZE',\
     ru, '',\
     de, 'Y GROESSE'

lsz fitext3,\
     en, 'BITS PER PIXEL',\
     ru, '  ᥫ',\
     de, 'BITS PER PIXEL'

