;-------------------------------------------------------------------------------
;The main part is written by Nable, it took me only one day, 24.06.2007, but
;there were some unsuccesful attempts a week before.
;I used only hands, head, small documentation and of course my paper notepad and
;a pen!
;To be continued...
;6.10.2008: Continued! I'm going to rewrite the whole PCX decoder to improve it
;very much, at first memory managing, then 2 color images, then we'll see.
;-------------------------------------------------------------------------------
;Entry (MeView specific):
;eax - pointer to file
;ebx - file size
;
;During decoding:
;ebx = height*65536+width
;-------------------------------------------------------------------------------
;PCX_Header struc:
;  pcxhmanufact  db ?          ;+0 ;manufacturer, must be 0ah
;  pcxhversion   db ?          ;+1 ;version, >= 5 for 8bit_per_sample color
;  pcxhencoding  db ?          ;+2 ;method, if 1 - file is packed using 6bit RLE
;  pcxhbitsppix  db ?          ;+3 ;bits per sample (not per pixel)
;  pcxhxmin      dw ?          ;+4 ;x min dimension (usually 0)
;  pcxhymin      dw ?          ;+6 ;y min dimension (usually 0)
;  pcxhxmax      dw ?          ;+8 ;x max (width = xmax-xmin+1)
;  pcxhymax      dw ?          ;+10;y max (height = ymax-ymin+1)
;  pcxhhres      dw ?          ;+12;height of sourse device (useless)
;  pcxhvres      dw ?          ;+14;width of sourse device (useless)
;  pcxhpalette   db 48 dup (?) ;+16;16 color palette
;  pcxhresv1     db ?          ;+64;reserved
;  pcxhcplanes   db ?          ;+65;color planes, 1 for 256 color
;  pcxhbspline   dw ?          ;+66;bytes per unpacked line
;  pcxhpaltype   dw ?          ;+68;1 = greyscale, 2 = color
;  pcxhresv2     db 58 dup (?) ;+70;reserved
;-------------------------------------------------------------------------------
decode_pcx:
	lea	esi,[eax+128]	    ;setup input
	lea	edi,[eax+ebx]	    ;setup output area
	
	mov	eax,[esi-128+8] ;calculate sizes - see details in a comment above
	sub	eax,[esi-128+4]
	add	eax,1*65536+1
	mov	[IMG_INFO_Sizes],eax
	mov	ebx,eax			;save sizes in ebx

;calculate bpp (bits per pixel)
	movzx	edx,byte[esi-128+65] ;color planes
	push	edx
	movzx	edx,byte[esi-128+3] ;bits per sample
	imul	edx,[esp]
	mov	byte[IMG_INFO_BitsPerPoint],dl 
;bpp will be in dl, we'll use it to branch later
	
;needed memory for unpacking is height*pcxhcplanes*pcxhbspline
	shr	eax,16		;eax=height
	mul	dword[esp]	;eax=height*pcxhcplanes
	mov	[esp],eax
	movzx eax,word[esi-128+66] ;bytes per unpacked line
	mul	dword[esp]	;eax=height*pcxhcplanes*pcxhbspline==needed_mem
	mov	[esp],eax
	call mem_add_pages
;now stack is restored, memory allocated, time to unpack rle-coded data
	cmp byte[esi-128+2],1 ;is data packed?
	jb  .unpacked
	ja  unsupported
;#begin of code to optimize for time...
	push edi		;address of EOF is at [esp]
	xor ecx,ecx		;prepare counter
.continue_unpacking:
	lodsb
	cmp al,11000000b
	jb  @f
	mov cl,al
	lodsb
	rep
@@:	
	stosb
	cmp esi,[esp]	;have we processed all packed data?
	jb	.continue_unpacking ;no
;...#end of code to optimize for time
.unpacked:			;yes	
	
	jmp	converted